Package org.italiangrid.voms.request.impl

# Class DefaultVOMSESLookupStrategy

java.lang.Object
org.italiangrid.voms.request.impl.BaseVOMSESLookupStrategy
org.italiangrid.voms.request.impl.DefaultVOMSESLookupStrategy

All Implemented Interfaces:
  `VOMSESLookupStrategy`

public class DefaultVOMSESLookupStrategy extends BaseVOMSESLookupStrategy
Default VOMSES information lookup strategy. This implementation looks for vomses information in the following paths:

- /etc/vomses
- ${user.home}/.glite/vomses
- ${user.home}/.voms/vomses

Author:
  Andrea Ceccanti

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_VOMSES_DIR`

## Constructor Summary

Constructors
Constructor
Description
`DefaultVOMSESLookupStrategy()`

## Method Summary

### Methods inherited from class org.italiangrid.voms.request.impl.BaseVOMSESLookupStrategy

`addPath, lookupVomsesInfo, searchedPaths`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_VOMSES_DIR

public static final String DEFAULT_VOMSES_DIR

See Also:
  - Constant Field Values

## Constructor Details

### DefaultVOMSESLookupStrategy

public DefaultVOMSESLookupStrategy()